# Method: liens.delete

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/delete#try-it)

Delete a Lien by `name`.

Callers of this method will require permission on the `parent` resource. For example, a Lien with a `parent` of `projects/1234` requires permission `resourcemanager.projects.updateLiens`.

### HTTP request

`DELETE https://cloudresourcemanager.googleapis.com/v1/{name=liens/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name/identifier of the Lien to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformprojects.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).